import { build, mergeConfig } from 'vite';
import { relative, resolve } from 'node:path';
export async function buildSSRApp(config, options) {
    const workspaceRoot = options?.workspaceRoot ?? process.cwd();
    const rootDir = relative(workspaceRoot, config.root || '.') || '.';
    const ssrBuildConfig = mergeConfig(config, {
        build: {
            ssr: true,
            rollupOptions: {
                input: options?.entryServer || resolve(rootDir, './src/main.server.ts'),
            },
            outDir: options?.ssrBuildDir || resolve('dist', rootDir, 'ssr'),
        },
    });
    await build(ssrBuildConfig);
}
//# sourceMappingURL=build-ssr.js.map