import { vi } from 'vitest';
import { resolve } from 'node:path';
export const mockViteDevServer = {
    middlewares: {
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        use: () => { },
    },
};
export const mockNitroConfig = {
    buildDir: resolve('./dist/.nitro'),
    handlers: [],
    logLevel: 0,
    output: {
        dir: resolve('dist/analog'),
        publicDir: resolve('dist/analog/public'),
    },
    rootDir: '.',
    runtimeConfig: {},
    scanDirs: ['src/server'],
    srcDir: 'src/server',
    prerender: {
        crawlLinks: undefined,
    },
    typescript: {
        generateTsConfig: false,
    },
    rollupConfig: {
        plugins: [
            {
                name: 'analogjs-vite-plugin-nitro-rollup-page-endpoint',
                transform() { },
            },
        ],
    },
};
export async function mockBuildFunctions() {
    const buildServerImport = await import('./build-server');
    const buildServerImportSpy = vi.fn();
    buildServerImport.buildServer = buildServerImportSpy;
    const buildSSRAppImport = await import('./build-ssr');
    const buildSSRAppImportSpy = vi.fn();
    buildSSRAppImport.buildSSRApp = buildSSRAppImportSpy;
    const buildSitemapImport = await import('./build-sitemap');
    const buildSitemapImportSpy = vi.fn();
    buildSitemapImport.buildSitemap = buildSitemapImportSpy;
    return { buildSSRAppImportSpy, buildServerImportSpy, buildSitemapImportSpy };
}
export async function runConfigAndCloseBundle(plugin) {
    await plugin[1].config({}, { command: 'build' });
    await plugin[1].closeBundle();
}
//# sourceMappingURL=vite-nitro-plugin.spec.data.js.map